package netmatch.qtool;

import netmatch.algorithm.GraphLoader;

public interface IQueryRecipient {
  void addQueryStructure(String name, GraphLoader queryLoader);

  void deattachRecipient();

  void setQueryApproximate(boolean value);

  void clearPaths();

  void addQPath(String path);
}
